API ReferenceCollections
Compare-and-set a complete record
Compare-and-set a complete record - Rensei REST API operation reference.
PUT
header
AuthorizationBearer <rsk_live_*>Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.
collectionId*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidkey*stringLength
1 <= length <= 256projectId*stringLength
1 <= length <= 128application/json- body
expectedVersion*integerRange
0 <= value <= 9007199254740991value*Success
application/json- response
orgId*stringcollectionId*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidkey*stringversion*integerRange
-9007199254740991 <= value <= 9007199254740991schemaVersion*integerRange
-9007199254740991 <= value <= 9007199254740991value*deleted*booleanauthorKind*stringValue in
"human""agent""api_key""system"authorId*stringsessionId*string|nullorigin*stringValue in
"mcp""rest""web""linear"createdAt*stringMatch
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Format
date-timecurl -X PUT 'https://app.rensei.ai/api/collections/497f6eca-6276-4993-bfeb-53cbbbba6f08/records/string?projectId=string' \ -H 'Content-Type: application/json' \ -d '{ "expectedVersion": 0, "value": { "property1": "string", "property2": "string" }}'Example Response
{ "orgId": "string", "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50", "key": "string", "version": -9007199254740991, "schemaVersion": -9007199254740991, "value": { "property1": "string", "property2": "string" }, "deleted": true, "authorKind": "human", "authorId": "string", "sessionId": "string", "origin": "mcp", "createdAt": "2019-08-24T14:15:22Z"}